Skip to main content
PATCH
/
v1
/
leads
/
{id}
Edita dados cadastrais de um lead (update parcial)
curl --request PATCH \
  --url https://api.superlead.app/v1/leads/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "notes": "<string>",
  "source": "<string>",
  "channel": "<string>",
  "entry_point": "<string>",
  "utm_source": "<string>",
  "utm_medium": "<string>",
  "utm_campaign": "<string>",
  "utm_term": "<string>",
  "utm_content": "<string>",
  "document": "<string>",
  "cep": "<string>",
  "address": "<string>",
  "address_number": "<string>",
  "address_complement": "<string>",
  "neighborhood": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "source": "<string>",
  "channel": "<string>",
  "entry_point": "<string>",
  "funnel_stage": "<string>",
  "document": "<string>",
  "cep": "<string>",
  "address": "<string>",
  "address_number": "<string>",
  "address_complement": "<string>",
  "neighborhood": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Chave de API (sk_...)

Path Parameters

id
string
required
Example:

"lead_0b5f8a3e-..."

Body

application/json
name
string
Required string length: 1 - 200
email
string<email> | null
notes
string | null
Maximum string length: 2000
source
string
Required string length: 1 - 120
channel
string | null
Required string length: 1 - 120
entry_point
string | null
Required string length: 1 - 120
utm_source
string | null
Required string length: 1 - 255
utm_medium
string | null
Required string length: 1 - 255
utm_campaign
string | null
Required string length: 1 - 255
utm_term
string | null
Required string length: 1 - 255
utm_content
string | null
Required string length: 1 - 255
document
string | null
document_type
enum<string> | null
Available options:
cpf,
cnpj
cep
string | null
address
string | null
Required string length: 1 - 200
address_number
string | null
Required string length: 1 - 30
address_complement
string | null
Required string length: 1 - 120
neighborhood
string | null
Required string length: 1 - 200
city
string | null
Required string length: 1 - 200
state
string | null
Required string length: 1 - 50
country
string | null

Response

Lead atualizado

id
string
required
name
string | null
required
phone
string | null
required
source
string | null
required
channel
string | null
required
entry_point
string | null
required
funnel_stage
string | null
required
document
string | null
required
document_type
enum<string> | null
required
Available options:
cpf,
cnpj
cep
string | null
required
address
string | null
required
address_number
string | null
required
address_complement
string | null
required
neighborhood
string | null
required
city
string | null
required
state
string | null
required
country
string | null
required
created_at
string
required